Command reference
deployments credential
Static provider credentials
| Command | Summary |
|---|---|
deployments credential create | Register a static provider credential |
deployments credential list | List provider credentials |
deployments credential rotate | Rotate a provider credential |
deployments credential revoke | Revoke a provider credential |
deployments credential create
Register a static provider credential.
deployments credential create --name <name> --provider <provider>- Calls
POST /v1/credentials(SDKcreateProviderCredential). - Needs an environment:
--envor the saved context. - Sends an idempotency key. The CLI generates one per run; pass
--idempotency-keyto retry safely. - Output contains secrets. They are redacted unless you pass
--reveal.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
--name | string | yes | Resource name | |
--provider | string | yes | Provider key | |
--credential | string | Credential bundle (prefer env or file source) | ||
--credential-env | string | Environment variable containing the credential | ||
--credential-file | string | File containing the credential | ||
--metadata | string (json) | Non-secret provider metadata | ||
--resource | string | Vendor MCP tenant endpoint for a templated server URL |
Also accepts the global flags.
deployments credential list
List provider credentials.
deployments credential list- Calls
GET /v1/credentials(SDKlistProviderCredentials). - Needs an environment:
--envor the saved context. - Paginated.
--page-sizesets the page size; pass the returned cursor as--cursorfor the next page.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
--cursor | string (cursor) | Pagination cursor | ||
--page-size | string (number) | Page size |
Also accepts the global flags.
deployments credential rotate
Rotate a provider credential.
deployments credential rotate <id> --expected-version <number>- Calls
POST /v1/credentials/{id}/rotate(SDKrotateProviderCredential). - Needs an environment:
--envor the saved context. - Destructive. Live runs ask for confirmation; pass
--yesin scripts or with--json. - Sends an idempotency key. The CLI generates one per run; pass
--idempotency-keyto retry safely. - Output contains secrets. They are redacted unless you pass
--reveal.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
<id> | positional | yes | Resource ID | |
--expected-version | string (number) | yes | Expected resource version | |
--credential | string | Replacement credential (prefer env or file source) | ||
--credential-env | string | Environment variable containing the replacement credential | ||
--credential-file | string | File containing the replacement credential |
Also accepts the global flags.
deployments credential revoke
Revoke a provider credential.
deployments credential revoke <id>- Calls
DELETE /v1/credentials/{id}(SDKrevokeProviderCredential). - Needs an environment:
--envor the saved context. - Destructive. Live runs ask for confirmation; pass
--yesin scripts or with--json. - Sends an idempotency key. The CLI generates one per run; pass
--idempotency-keyto retry safely.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
<id> | positional | yes | Resource ID | |
--reason | string | Reason for this operation |
Also accepts the global flags.